Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc2.schema
Class EntityTable

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc2.schema.EntityTable

All Implemented Interfaces:
  Table

public class EntityTable
extends Object
implements Table

todo refactor optimistic locking

Version:
  `$Revision: 1.15.2.1 $`
Author:
  Alexey Loubyansky

Nested Class Summary
`static interface` | `EntityTable.CommitStrategy`
`class` | `EntityTable.ForeignKeyConstraint`
`class` | `EntityTable.Row`
`class` | `EntityTable.View`

Constructor Summary
`EntityTable(JDBCEntityMetaData metadata, JDBCEntityBridge2 entity, Schema schema, int tableId)`

Method Summary
`void` | `addField()`
`EntityTable.ForeignKeyConstraint` | `addFkConstraint(JDBCCMPFieldBridge2[] fkFields, EntityTable referenced)`
`int` | `addVersionField()`
`StringBuffer` | `appendColumnNames(JDBCCMPFieldBridge2[] fields, String alias, StringBuffer buf)`
`Table.View` | `createView(Transaction tx)`
`DataSource` | `getDataSource()`
`EntityTable.Row` | `getRow(Object id)`
`int` | `getTableId()`
`String` | `getTableName()`
`boolean` | `hasRow(Object id)`
`EntityTable.Row` | `loadRow(Object id)`
`Object` | `loadRow(ResultSet rs)`
`void` | `loadRow(ResultSet rs, Object pk)`
`void` | `start()`
`void` | `stop()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityTable

    public EntityTable(JDBCEntityMetaData metadata,
                       JDBCEntityBridge2 entity,
                       Schema schema,
                       int tableId)
                throws org.jboss.deployment.DeploymentException

Method Detail

### start

    public void start()
               throws org.jboss.deployment.DeploymentException

  Throws:
    `org.jboss.deployment.DeploymentException`

### stop

    public void stop()
              throws Exception

  Throws:
    `Exception`

### appendColumnNames

    public StringBuffer appendColumnNames(JDBCCMPFieldBridge2[] fields,
                                          String alias,
                                          StringBuffer buf)

### addField

    public void addField()

### addVersionField

    public int addVersionField()

### addFkConstraint

    public EntityTable.ForeignKeyConstraint addFkConstraint(JDBCCMPFieldBridge2[] fkFields,
                                                            EntityTable referenced)

### getDataSource

    public DataSource getDataSource()

### loadRow

    public void loadRow(ResultSet rs,
                        Object pk)

### loadRow

    public Object loadRow(ResultSet rs)

### getRow

    public EntityTable.Row getRow(Object id)

### hasRow

    public boolean hasRow(Object id)

### loadRow

    public EntityTable.Row loadRow(Object id)
                            throws SQLException

  Throws:
    `SQLException`

### getTableId

    public int getTableId()

  Specified by:
    `getTableId` in interface `Table`

### getTableName

    public String getTableName()

  Specified by:
    `getTableName` in interface `Table`

### createView

    public Table.View createView(Transaction tx)

  Specified by:
    `createView` in interface `Table`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.